* gpg.texi: Reference to --s2k-count in --s2k-mode.
[gnupg.git] / doc / Makefile.am
index 34b9ddf..ab8543b 100644 (file)
@@ -1,4 +1,4 @@
-# Copyright (C) 1998, 1999, 2000, 2001 Free Software Foundation, Inc.
+# Copyright (C) 2002, 2004 Free Software Foundation, Inc.
 #
 # This file is part of GnuPG.
 #
 # 
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301,
+# USA.
 
-## Process this file with automake to create Makefile.in
+## Process this file with automake to produce Makefile.in
 
-AUTOMAKE_OPTIONS = no-texinfo.tex
+examples = examples/README examples/scd-event examples/trustlist.txt
 
-EXTRA_DIST = DETAILS gpg.sgml gpg.1 gpgv.sgml gpgv.1 faq.raw FAQ faq.html \
-             HACKING OpenPGP README.W32 samplekeys.asc gnupg.7 \
-             TRANSLATE gpg.ru.sgml gpg.ru.1 highlights-1.4.txt
+EXTRA_DIST = DETAILS HACKING TRANSLATE OpenPGP KEYSERVER samplekeys.asc \
+            gnupg-badge-openpgp.eps gnupg-badge-openpgp.jpg \
+             gnupg-badge-openpgp.pdf \
+             gnupg-card-architecture.eps gnupg-card-architecture.png \
+             gnupg-card-architecture.pdf \
+             faq.raw FAQ faq.html gnupg7.texi \
+             opt-homedir.texi see-also-note.texi specify-user-id.texi \
+            texi.css $(examples)
 
-man_MANS = gpg.1 gpgv.1 gnupg.7 gpg.ru.1
+BUILT_SOURCES = gnupg-card-architecture.eps gnupg-card-architecture.png \
+                gnupg-card-architecture.pdf FAQ faq.html
 
-info_TEXINFOS = gpg.texi gpgv.texi
+noinst_PROGRAMS = yat2m
 
-# Need this to avoid building of dvis with automake 1.4
-DVIS =
+info_TEXINFOS = gnupg.texi
 
-pkgdata_DATA = FAQ faq.html
+dist_pkgdata_DATA = qualified.txt FAQ faq.html com-certs.pem
 
-BUILT_SOURCES = FAQ faq.html 
-# we can't add gpg.texi gpgv.texi here because automake does not like them to
-# be built files. 
+gnupg_TEXINFOS = \
+       gpg.texi gpgsm.texi gpg-agent.texi scdaemon.texi instguide.texi \
+       tools.texi debugging.texi glossary.texi contrib.texi gpl.texi \
+       sysnotes.texi gnupg-card-architecture.fig
 
-CLEANFILES = faq.raw.xref gpg.xml gpgv.xml gpg.ru.xml
+AM_MAKEINFOFLAGS = -I $(srcdir) --css-include=$(srcdir)/texi.css
 
+YAT2M_OPTIONS = -I $(srcdir) \
+        --release "GnuPG @PACKAGE_VERSION@" --source "GNU Privacy Guard"
 
-# We better build the texi versions manually.
-#%.texi : %.xml
-#if HAVE_DOCBOOK_TO_TEXI
-#       docbook2texi $< | sed 's,--,---,' \
-#          | $(top_srcdir)/scripts/fix-db-texi $@  >$@
-#else
-#       : Warning: missing docbook to texinfo tools, cannot make $@
-#       touch $@
-#endif
-#
-#%.xml : %.sgml
-#if HAVE_DOCBOOK_TO_TEXI
-#       sgml2xml -x lower $< >$@
-#else
-#       : Warning: missing docbook to texinfo tools, cannot make $@
-#       touch $@
-#endif
-#
+myman_sources = gnupg7.texi gpg.texi gpgsm.texi gpg-agent.texi \
+                scdaemon.texi tools.texi
+myman_pages   = gpg2.1 gpgsm.1 gpg-agent.1 scdaemon.1 gpgv2.1 \
+                watchgnupg.1 gpgconf.1 addgnupghome.8 gpg-preset-passphrase.1 \
+               gpg-connect-agent.1 gpgparsemail.1 symcryptrun.1 \
+               gpgsm-gencert.sh.1
+
+man_MANS = $(myman_pages)
+noinst_MANS = gnupg.7
+
+watchgnupg_SOURCE = gnupg.texi
+
+
+CLEANFILES = faq.raw.xref
+
+DISTCLEANFILES = gnupg.tmp gnupg.ops yat2m-stamp.tmp yat2m-stamp \
+                $(myman_pages) gnupg.7
+
+yat2m_SOURCES = yat2m.c
+
+
+.fig.png:
+       fig2dev -L png `test -f '$<' || echo '$(srcdir)/'`$< $@
+
+.fig.jpg:
+       fig2dev -L jpg `test -f '$<' || echo '$(srcdir)/'`$< $@
+
+.fig.eps:
+       fig2dev -L eps `test -f '$<' || echo '$(srcdir)/'`$< $@
+
+.fig.pdf:
+       fig2dev -L pdf `test -f '$<' || echo '$(srcdir)/'`$< $@
 
-%.1 : %.sgml
-if HAVE_DOCBOOK_TO_MAN
-       docbook-to-man $<  >$@
-else
-       : Warning: missing docbook-to-man, cannot make $@
-       echo ".TH $< 1"   >$@
-       echo "No man page due to missing docbook-to-man" >>$@
-endif
 
 FAQ : faq.raw
 if WORKING_FAQPROG
@@ -86,6 +101,36 @@ else
        echo "See ftp://ftp.gnupg.org/gcrypt/contrib/faqprog.pl" >> $@
 endif
 
-dist-hook:
-       @if test "`wc -c < gpg.1`" -lt 200; then \
-           echo 'ERROR: dummy man page'; false; fi
+
+yat2m-stamp: $(myman_sources)
+       @rm -f yat2m-stamp.tmp
+       @touch yat2m-stamp.tmp
+       for file in $(myman_sources) ; do \
+              ./yat2m $(YAT2M_OPTIONS) --store \
+                 `test -f '$$file' || echo '$(srcdir)/'`$$file ; done
+       @mv -f yat2m-stamp.tmp $@
+
+yat2m-stamp: yat2m
+
+$(myman_pages) gnupg.7 : yat2m-stamp
+       @if test -f $@; then :; else \
+            trap 'rm -rf yat2m-stamp yat2m-lock' 1 2 13 15; \
+               if mkdir yat2m-lock 2>/dev/null; then \
+                 rm -f yat2m-stamp; \
+                 $(MAKE) $(AM_MAKEFLAGS) yat2m-stamp; \
+                 rmdir yat2m-lock; \
+               else \
+                 while test -d yat2m-lock; do sleep 1; done; \
+                 test -f yat2m-stamp; exit $$?; \
+               fi; \
+             fi
+
+
+online: gnupg.html gnupg.pdf
+       set -e; \
+       echo "Uploading current manuals to www.gnupg.org ..."; \
+        user=werner ; \
+       (cd gnupg.html && rsync -vr --exclude='.svn' .  \
+         $${user}@cvs.gnupg.org:webspace/manuals/gnupg/ ); \
+        rsync -v gnupg.pdf $${user}@cvs.gnupg.org:webspace/manuals/
+